package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFStepMapper;
import com.sa.ibiz.demo.demo.domain.WFStep;
import com.sa.ibiz.demo.demo.service.WFStepService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFStepSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WFInstanceService;

/**
 * 实体[WFStep] 服务对象接口实现
 */
@Service
public class WFStepServiceImpl extends ServiceImplBase<WFStepMapper, WFStep> implements WFStepService{

    @Autowired
    private WFInstanceService wfinstanceService;

    @Resource
    private WFStepMapper wfstepMapper;


    @Override
    public boolean create(WFStep et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFStep et){
        this.beforeUpdate(et);
		this.wfstepMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFStep et){
		return et.getWfstepid();  
    }

    @Override
    public boolean getDraft(WFStep et)  {
    if((!StringUtils.isEmpty(et.getWfinstanceid())) && et.getWfinstance() == null){
            try {
                et.setWfinstance(wfinstanceService.getById(et.getWfinstanceid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFStep> listDefault(WFStepSearchFilter filter) {
		return wfstepMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFStep> searchDefault(WFStepSearchFilter filter) {
		return wfstepMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfstepMapper.selectRow(sql);
    }

 }